Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.shrinkwrap.descriptor.api.javaee6
Enum IsolationLevelType

    java.lang.Object
      java.lang.Enum<IsolationLevelType>
          org.jboss.shrinkwrap.descriptor.api.javaee6.IsolationLevelType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IsolationLevelType>

    public enum IsolationLevelType

extends java.lang.Enum<IsolationLevelType>

This class implements the `isolation-levelType` xsd type

Original Documentation:

The following transaction isolation levels are allowed
(see documentation for the java.sql.Connection interface):
TRANSACTION_READ_UNCOMMITTED
TRANSACTION_READ_COMMITTED
TRANSACTION_REPEATABLE_READ
TRANSACTION_SERIALIZABLE

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Enum Constant Summary
`_TRANSACTION_READ_COMMITTED`
`_TRANSACTION_READ_UNCOMMITTED`
`_TRANSACTION_REPEATABLE_READ`
`_TRANSACTION_SERIALIZABLE`

Method Summary
`static IsolationLevelType` | `getFromStringValue(java.lang.String value)`
`java.lang.String` | `toString()`
`static IsolationLevelType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IsolationLevelType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### _TRANSACTION_READ_UNCOMMITTED

    public static final IsolationLevelType _TRANSACTION_READ_UNCOMMITTED

### _TRANSACTION_READ_COMMITTED

    public static final IsolationLevelType _TRANSACTION_READ_COMMITTED

### _TRANSACTION_REPEATABLE_READ

    public static final IsolationLevelType _TRANSACTION_REPEATABLE_READ

### _TRANSACTION_SERIALIZABLE

    public static final IsolationLevelType _TRANSACTION_SERIALIZABLE

Method Detail

### values

    public static IsolationLevelType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IsolationLevelType c : IsolationLevelType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IsolationLevelType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<IsolationLevelType>`

### getFromStringValue

    public static IsolationLevelType getFromStringValue(java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD